// DlgFontSelect.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "DlgFontSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgFontSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCDlgFontSelect::CFCDlgFontSelect
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfOiBeC_xHqqkZx_
 *
 * <_xZkqqHx_iIpIjAjE_xHqqkZx_>	dwId	:_xZkqqHx_iDiKiDfMiBfLiDfIiCmMiDgFiDjDiDhGiDiMiBfLiDgHiCpAiOhHjCoIiBeC_xHqqkZx_
 *			pParent	:_xZkqqHx_jAgFiDeFiDeCiDjDiDgIiDeFiCpAiOhHjCoIiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	01.02.06 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
CFCDlgFontSelect::CFCDlgFontSelect (DWORD dwId, CWnd* pParent) : BASE_CLASS(dwId, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgFontSelect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	//----- _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiPiJiKpKiJlL_xHqqkZx_ -----
	// ANSI_xZkqqHx_jFlGiOjKiPoOjFpBiBeC_xHqqkZx_
	memset(&m_fciExtCode, 0, sizeof(m_fciExtCode));
	// SJIS_xZkqqHx_jFlGiOjKiPoOjFpBiBeC_xHqqkZx_
	memset(&m_fciStdCode, 0, sizeof(m_fciStdCode));
	// _xZkqqHx_iDhEiDeIiDjDiDgHiPoOjFpBiOoGjDlOiDfCiBfLiDiLiDgPiDgCiDeOiBeC_xHqqkZx_
	m_fncGetFontInfo = NULL;
	// _xZkqqHx_iDhEiDeIiDjDiDgHiPoOjFpBjAnNjCoIiDfCiBfLiDiLiDgPiDgCiDeOiBeC_xHqqkZx_
	m_fncSetFontInfo = NULL;
	// _xZkqqHx_iDfCiBfLiDiLiDgPiDgCiDeOjHhAiDgGiBfLiDfOiBeC_xHqqkZx_
	m_pData = NULL;
} // CFCDlgFontSelect::CFCDlgFontSelect.

void CFCDlgFontSelect::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgFontSelect)
	DDX_Control(pDX, IDC_FOS_STC_SAMPLE_E, m_stcExtCodeSample);
	DDX_Control(pDX, IDC_FOS_STC_SAMPLE_J, m_stcStdCodeSample);
	DDX_Control(pDX, IDC_FOS_CBB_COLOR, m_cbbColorRef);
	DDX_Control(pDX, IDC_FOS_SPN_CHR_OFFSET, m_spnChrOffset);
	DDX_Control(pDX, IDC_FOS_SPN_CHR_AFTER, m_spnChrAfter);
	//}}AFX_DATA_MAP
} // CFCDlgFontSelect::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCDlgFontSelect, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgFontSelect)
	ON_BN_CLICKED(ID_APPLY_NOW, OnApplyNow)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_CBN_EDITCHANGE(IDC_FOS_CMB_STD_CODE_FONT_NAME, OnEditchangeFosCmbStdCodeFontName)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_STD_CODE_FONT_NAME, OnSelchangeFosCmbStdCodeFontName)
	ON_CBN_EDITCHANGE(IDC_FOS_CMB_STD_CODE_FONT_STYLE, OnEditchangeFosCmbStdCodeFontStyle)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_STD_CODE_FONT_STYLE, OnSelchangeFosCmbStdCodeFontStyle)
	ON_BN_CLICKED(IDC_FOS_CHK_SYNC_FONT_INFO, OnFosChkSyncFontInfo)
	ON_CBN_EDITCHANGE(IDC_FOS_CMB_EXT_CODE_FONT_NAME, OnEditchangeFosCmbExtCodeFontName)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_EXT_CODE_FONT_NAME, OnSelchangeFosCmbExtCodeFontName)
	ON_CBN_EDITCHANGE(IDC_FOS_CMB_EXT_CODE_FONT_STYLE, OnEditchangeFosCmbExtCodeFontStyle)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_EXT_CODE_FONT_STYLE, OnSelchangeFosCmbExtCodeFontStyle)
	ON_CBN_EDITCHANGE(IDC_FOS_CMB_EXT_CODE_FONT_SCRIPT, OnEditchangeFosCmbExtCodeFontScript)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_EXT_CODE_FONT_SCRIPT, OnSelchangeFosCmbExtCodeFontScript)
	ON_CBN_EDITCHANGE(IDC_FOS_CMB_FONT_SIZE, OnEditchangeFosCmbFontSize)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_FONT_SIZE, OnSelchangeFosCmbFontSize)
	ON_EN_CHANGE(IDC_FOS_EDT_CHR_OFFSET, OnChangeFosEdtChrOffset)
	ON_EN_CHANGE(IDC_FOS_EDT_CHR_AFTER, OnChangeFosEdtChrAfter)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_CHR_SUP_SUB, OnSelchangeFosCmbChrSupSub)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_STRIKEOUT, OnSelchangeFosCmbStrikeout)
	ON_CBN_SELCHANGE(IDC_FOS_CMB_UNDERLINE, OnSelchangeFosCmbUnderline)
	ON_WM_CTLCOLOR()
	ON_CBN_CLOSEUP(IDC_FOS_CMB_EXT_CODE_FONT_NAME, OnCloseupFosCmbExtCodeFontName)
	ON_CBN_CLOSEUP(IDC_FOS_CMB_STD_CODE_FONT_NAME, OnCloseupFosCmbStdCodeFontName)
	ON_CBN_CLOSEUP(IDC_FOS_CMB_STD_CODE_FONT_STYLE, OnCloseupFosCmbStdCodeFontStyle)
	ON_CBN_CLOSEUP(IDC_FOS_CMB_EXT_CODE_FONT_SCRIPT, OnCloseupFosCmbExtCodeFontScript)
	ON_CBN_CLOSEUP(IDC_FOS_CMB_EXT_CODE_FONT_STYLE, OnCloseupFosCmbExtCodeFontStyle)
	ON_CBN_CLOSEUP(IDC_FOS_CMB_FONT_SIZE, OnCloseupFosCmbFontSize)
	ON_BN_CLICKED(IDC_FOS_BTN_COLOR, OnFosBtnColor)
	ON_BN_CLICKED(IDC_FOS_CHK_STD_FONT_PANEL, OnFosChkStdFontPanel)
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_SELCHANGE, IDC_FOS_CBB_COLOR, OnSelchangeFosCbbColor)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgFontSelect _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_
